<h2>{{ i18n "sponsors" }}</h2>
<div id="sponsors"></div>

<script>
    const MAX_SPONSORS = 5
    const SPONSORS_URL = "/sponsors.json"
    const sponsorsTag = document.getElementById("sponsors")

    function selectSponsors(allSponsors, max) {
        var displayableSponsors = filterSponsors(allSponsors)
        return getRandomSponsors(displayableSponsors, max)
    }

    function getRandomSponsors(list, max) {
        var sponsors = []
        for (let i = 0; i < max; i++) {
            var index = Math.floor((Math.random()*list.length))
            var sponsor = list.splice(index, 1)[0];
            sponsors.push(sponsor)
        }
        return sponsors
    }

    function filterSponsors(sponsors) {
        return sponsors.filter(sponsor => sponsor.level == "platinum" || sponsor.level == "gold")
    }

    function displaySponsors(sponsors) {
        var html = ""
        var sponsors = selectSponsors(sponsors, MAX_SPONSORS)
        for (var sponsor of sponsors) {
            var div = document.createElement("div");
            html += "<div><a href='" + sponsor.site_url + "'><img src='" + sponsor.logo_url + "'></a></div>"
        }
        sponsorsTag.innerHTML = html
    }

    fetch(SPONSORS_URL)
    .then(response => response.json())
    .then(sponsors => displaySponsors(sponsors))
</script>